<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Image Upload Form</title>

    <link rel="stylesheet" type="text/css" media="all" href="../../static/css/bootstrap.min.css" th:href="@{/css/bootstrap.min.css}" />
		
		<script th:src="@{/webjars/jquery/3.4.1/jquery.min.js}"></script>
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</head>
<body>
<!--/*@thymesVar id="recipe" type="com.tcs.recipe.model.Recipe"*/-->
<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <div class="pannel-group">
                <div class="panel panel-primary">
                    <div class="panel-heading">
                        <h1 class="panel-title">Upload a new recipe image</h1>
                    </div>
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-5">
                                <form  action="http:\\localhost" method="post" enctype="multipart/form-data"
                                       th:action="@{'/mvcResources/recipe/' + ${recipe.getId()} + '/image'}">
                                    <label class="control-label">Select File</label>
                                    <input id="imagefile" name="imagefile" type="file" class="file">
                                    <button type="submit" class="btn btn-primary">Submit</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>